wrap
| Rivet Tcl Commands and Variables |

## Name

wrap — Split a string on newlines.

## Synopsis

::rivet::wrap ?string? ?maxlen? html

## Description

For each line, wrap the line at a space character to be equal to or shorter than the maximum length value passed.

If a third argument called "-html" is present, the string is put together with html <br> line breaks, otherwise it's broken with newlines.

write_binary |  | wrapline